/**
* style for json editor specific elements
*/

.json-editor-btn-edit, .json-editor-btn-edit_properties, .json-editor-btn-collapse, .json-editor-btn-add, .json-editor-btn-delete, .json-editor-btn-movedown , .json-editor-btn-moveup, .json-editor-btn-save, .json-editor-btn-cancel, .json-editor-btn-copy, .json-editor-btn-subtract  {
    border-radius: 2px;
    border: none;
    color: white;
    padding: 7px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    margin: 3px;
}

.json-editor-btn-edit:hover, .json-editor-btn-edit_properties:hover, .json-editor-btn-collapse:hover, .json-editor-btn-add:hover, .json-editor-btn-delete:hover, .json-editor-btn-movedown:hover, .json-editor-btn-moveup:hover, .json-editor-btn-save:hover, .json-editor-btn-cancel:hover, .json-editor-btn-copy:hover, .json-editor-btn-subtract:hover {
  background-color: var(--highlight-color);
}

.tabs {
  width:23%;
  float:left;
  padding-left: 10px;
}

.tabs span {
  background-color: var(--light-color);
  border-bottom: 2px solid var(--medium-color);
  color: var(--darkest-color);
  text-align: left;
  text-decoration: none;
  display: block;
  font-size: 16px;
  padding: 8px 28px;
}

.content {
  width:75%;
  float:left;
}

.tabs span:hover {
  /*background-color: var(--subtle-color);*/
  border-bottom: 3px solid var(--highlight-color);
}

.row {

}

.panel {
  background-color: var(--light-color);
  padding:18px;
  border: 2px solid var(--medium-color);
  border-radius: 3px;
}

/* loading animation when opening Flow View of Level */
#loader{
  display: none;
  position: absolute;
  top: 35%;
  left: 45%;
}
.lds-heart {
  position: relative;
  width: 80px;
  height: 80px;
  transform: rotate(45deg);
  transform-origin: 40px 40px;
}
.lds-heart div {
  top: 32px;
  left: 32px;
  position: absolute;
  width: 32px;
  height: 32px;
  background: var(--subtle-color);
  animation: lds-heart 1.2s infinite cubic-bezier(0.215, 0.61, 0.355, 1);
}
.lds-heart div:after,
.lds-heart div:before {
  content: " ";
  position: absolute;
  display: block;
  width: 32px;
  height: 32px;
  background: var(--subtle-color);
}
.lds-heart div:before {
  left: -24px;
  border-radius: 50% 0 0 50%;
}
.lds-heart div:after {
  top: -24px;
  border-radius: 50% 50% 0 0;
}
@keyframes lds-heart {
  0% {
    transform: scale(0.95);
  }
  5% {
    transform: scale(1.1);
  }
  39% {
    transform: scale(0.85);
  }
  45% {
    transform: scale(1);
  }
  60% {
    transform: scale(0.95);
  }
  100% {
    transform: scale(0.9);
  }
}
